## EComponentListener

EComponentListener —

## Synopsis

    #define             E_COMPONENT_LISTENER_TYPE
                        EComponentListenerPrivate;
    EComponentListener* e_component_listener_new            (Bonobo_Unknown comp);
    Bonobo_Unknown      e_component_listener_get_component  (EComponentListener *cl);
    void                e_component_listener_set_component  (EComponentListener *cl,
                                                             Bonobo_Unknown comp);

## Description

## Details

### E_COMPONENT_LISTENER_TYPE

    #define E_COMPONENT_LISTENER_TYPE        (e_component_listener_get_type ())

### EComponentListenerPrivate

    typedef struct _EComponentListenerPrivate EComponentListenerPrivate;

### e_component_listener_new ()

    EComponentListener* e_component_listener_new            (Bonobo_Unknown comp);

Create a new EComponentListener object, which allows to listen for a given component and get notified when that component dies.

`comp` : | Component to listen for.
Returns : | a component listener object.

### e_component_listener_get_component ()

    Bonobo_Unknown      e_component_listener_get_component  (EComponentListener *cl);

`cl` : |
Returns : |

### e_component_listener_set_component ()

    void                e_component_listener_set_component  (EComponentListener *cl,
                                                             Bonobo_Unknown comp);

`cl` : |
`comp` : |